[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [debian-devel] Re: which policy checker?

On Wed, 15 Oct 2003, Colin Watson wrote:

> Not really; the people complaining about newer-standards-version serve
> to remind the lintian maintainer that he needs to update lintian for any
> changes in policy. :) Updating lintian is not just a matter of
> increasing the number.
Well for sure.  But then the warnig against the package is wrong.  The
message should be:  Sorry, Lintian is only able to check against policy
version <policy-known-by lintian>.  The current policy on your system is
<parsed-policy-number>. Please send patches to the lintian maintainer to
support his fine work.

It is not fair to issue warnings against a package if the warning should be
intended to the checker itself.

Kind regards


Reply to: